Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.webcontainer
Class PicoWebXmlConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.nanocontainer.webcontainer.PicoWebXmlConfiguration

All Implemented Interfaces:
  Serializable, org.mortbay.jetty.webapp.Configuration

    public class PicoWebXmlConfiguration

extends org.mortbay.jetty.webapp.WebXmlConfiguration

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletClass, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`PicoWebXmlConfiguration(org.picocontainer.PicoContainer parentContainer)`

Method Summary
`protected org.mortbay.jetty.servlet.FilterHolder` | `newFilterHolder()`
`protected Object` | `newListenerInstance(Class clazz)`
`protected org.mortbay.jetty.servlet.ServletHolder` | `newServletHolder()`

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`configure, configureClassLoader, configureDefaults, configureWebApp, deconfigureWebApp, findWebXml, getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initialize, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWebXmlElement, initWelcomeFileList, normalizePattern, setWebAppContext, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PicoWebXmlConfiguration

    public PicoWebXmlConfiguration(org.picocontainer.PicoContainer parentContainer)

Method Detail

### newServletHolder

    protected org.mortbay.jetty.servlet.ServletHolder newServletHolder()

### newFilterHolder

    protected org.mortbay.jetty.servlet.FilterHolder newFilterHolder()

### newListenerInstance

    protected Object newListenerInstance(Class clazz)
                                  throws InstantiationException,
                                         IllegalAccessException

  Overrides:
    `newListenerInstance` in class `org.mortbay.jetty.webapp.WebXmlConfiguration`
  Throws:
    `InstantiationException`
    `IllegalAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.